Kapittel 2. Fyr opp GIMP
| Del I. Getting Started |

## Kapittel 2. Fyr opp GIMP

## 1. Starthjelp

Most often, you start GIMP either by clicking on an icon (if your system is set up to provide you with one), or by typing gimp on a command line. If you have multiple versions of GIMP installed, you may need to type gimp-2.6 to get the latest version. You can, if you want, give a list of image files on the command line after the program name, and they will automatically be opened by GIMP as it starts. It is also possible, though, to open files from within GIMP once it is running.

Most operating systems support file associations, which associates a class of files (as determined by their filename extension, such as .jpg) with a corresponding application (such as GIMP). When image files are properly “associated” to GIMP, you can double click on an image to open it in GIMP.

### 1.1. Kjende plattformer

The GIMP is the most widely supported image manipulation available today. The platforms on which GIMP is known to work include:

GNU/Linux™, Apple Mac OS X™, Microsoft Windows™, OpenBSD™, NetBSD™, FreeBSD™, Solaris™, SunOS™, AIX™, HP-UX™, Tru64™, Digital UNIX™, OSF/1™, IRIX™, OS/2™, and BeOS™.

The GIMP is easily ported to other operating systems because of its source code availability. For further information visit the GIMP developers homepage. [GIMP-DEV].

### 1.2. Språk

GIMP automatically detects and uses the system language. In the unlikely event that language detection fails, or if you just want to use a different language, you may do so:

Linux

  In LINUX: in console mode, type `LANGUAGE=en gimp` or `LANG=en gimp` replacing en by fr, de, ... according to the language you want. Background: Using `LANGUAGE=en` sets an environment variable for the executed program `gimp`.

Windows XP

  I WINDOWS XP: Trykk på Start-knappen og vel Kontrollpanel. Derifrå går du til /Innstillinger for region og språk/Regionale innstillinger/. Vel språk frå nedtrekkslista. Dersom du har stilt inn oppgåvelinja til å vise språk, kan du også endre dette frå oppgåvelinja.

  If you change languages often, you can create a batch file to change the language. Open NotePad. Type the following commands (for french for instance):

  `set lang=fr
  start gimp-2.6.exe`

  Save this file as `GIMP-FR.BAT` (or another name, but always with a `.BAT` extension). Create a shortcut and drag it to your desktop.

  Another possibility: Start → Programs → GTK Runtime Environment Then Select language and select the language you want in the dropdown list.

Apple Mac OS X

  From System Preferences, click on the International icon. In the Language tab, the desired language should be the first in the list.

Another GIMP instance

  Use `-n` to run multiple instances GIMP. For example, use `gimp-2.6` to start GIMP in the default system language, and `LANGUAGE=en gimp-2.6 -n` to start another instance of GIMP in English; this is very useful for translators.

### 1.3. Argument i kommandolinja

Although arguments are not required when starting GIMP, the most common arguments are shown below. On a Unix system, you can use `man gimp`for a complete list.

Command line arguments must be in the command line that you use to start GIMP as gimp-2.6 [OPTION...] [FILE|URI...].

-?, --help

  Vis ei liste over alle kommandoane

--help-all

  Show all help options.

--help-gtk

  Show GTK+ Options.

-v, --version

  Print the GIMP version and exit.

--license

  Show license information and exit.

--verbose

  Vis detaljerte oppstartmeldingar.

-n, --new-instance

  Start a new GIMP instance.

-a, --as-new

  Open images as new.

-i, --no-interface

  Run without a user interface.

-d, --no-data

  Ikkje last inn mønsterelement, fargeovergangar, palettar eller penslar. Kan vere nyttig i ikkje-interaktive situasjonar der oppstarttida skal vere kortast råd.

-f, --no-fonts

  Do not load any fonts. This is useful to load GIMP faster for scripts that do not use fonts, or to find problems related to malformed fonts that hang GIMP.

-s, --no-splash

  Ikkje vis oppstartskjermen.

--no-shm

  Do not use shared memory between GIMP and plugins.

--no-cpu-accel

  Do not use special CPU acceleration functions. Useful for finding or disabling buggy accelerated hardware or functions.

--session=`name`

  Use a different `sessionrc` for this GIMP session. The given session name is appended to the default `sessionrc` filename.

--gimprc=`filename`

  Bruk ei alternativ “gimprc”-fil i staden for den vanlege. “gimprc”-fila inneheld data om innstillingane dine. Kan vere nyttige når banane til programtillegga eller maskinoppsettet er endra.

--system-gimprc=`filename`

  Use an alternate system gimprc file.

-b, --batch=`commands`

  Execute the set of commands non-interactively. The set of commands is typically in the form of a script that can be executed by one of the GIMP scripting extensions. When the command is `-`, commands are read from standard input.

--batch-interpreter=`proc`

  Specify the procedure to use to process batch commands. The default procedure is Script-Fu.

--console-messages

  Ikkje bruk sprettoppvindauge ved varsling av feil. Skriv meldingane til konsollen i staden.

--pdb-compat-mode=`mode`

  PDB compatibility mode (off|on|warn).

--stack-trace-mode=`mode`

  Debug in case of a crash (never|query|always).

--debug-handlers

  Enable non-fatal debugging signal handlers. Useful for GIMP debugging.

--g-fatal-warnings

  Make all warnings fatal. Useful for debug.

--dump-gimprc

  Output a gimprc file with default settings. Useful if you messed up the gimprc file.

--display=`display`

  Bruk X visning (gjeld ikkje på Microsoft Windows).

2. What's New in GIMP 2.6? |  | 2. Å starte GIMP for første gong